> For the complete documentation index, see [llms.txt](https://uprism-io.gitbook.io/uprism-io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://uprism-io.gitbook.io/uprism-io/rest-api/address/create-address.md).

# Create Address

주소록 등록 API

## Create Address List

<mark style="color:green;">`POST`</mark> `https://uprism.io:30443/v1/users/{userId}/address`

해당 사용자의 주소록을 생성하는 API

#### Path Parameters

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| userId | string | 서브사용자 ID    |

#### Headers

| Name          | Type   | Description               |
| ------------- | ------ | ------------------------- |
| Authorization | string | "Bearer " + {accessToken} |

#### Request Body

| Name                | Type   | Description |
| ------------------- | ------ | ----------- |
| address\_user\_name | string | 주소록 이름      |
| email               | string | 이메일  주소     |
| class\_name         | string | 직급명         |
| post                | string | 추가 주소       |
| group\_name         | string | 그룹 이름       |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "code": 200,
    "message": "success",
    "response": {
        "idx": "5C20E37C-A6DB-4634-9DF5-F48957E373A9",
        "group_name": "아무거나",
        "address_user_name": "김응철",
        "email": "ekim@uprism.com",
        "class_name": "대리",
        "post": "dkanrjsk"
    }
}
```

{% endtab %}

{% tab title="400 " %}

```
```

{% endtab %}
{% endtabs %}
